﻿using System.Collections.Generic;

namespace git_fault
{
    public interface IRenderer
    {
        public void NewFaultCreated(string sha, string fault);

        public void FaultUpdated(string id, string oldText, string newText);

        public void FaultDeleted(string id, string oldText);

        public void FaultsListed(bool full, List<(string, string, List<(string, string)>)> faults);
        void ShowFault(string v);
        void ShowAppendix(string appendix, string name);
        void Error(string msg);
    }
}